Skip to main content
POST
/
v2
/
documents
Initiate document upload (returns presigned URLs)
curl --request POST \
  --url https://api.example.com/v2/documents/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "documentType": "<string>",
  "isDoubleSided": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uploadURLFront": "<string>",
  "uploadURLBack": "<string>",
  "sessionId": "<string>",
  "livenessUrl": "<string>",
  "validateLivenessToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Body

application/json
documentType
string
required

e.g. SELFIE

isDoubleSided
boolean

Response

OK

id
string<uuid>
uploadURLFront
string
uploadURLBack
string
sessionId
string
livenessUrl
string
validateLivenessToken
string